<?php

namespace App\Model\Table;

use Cake\ORM\Table;
use Cake\ORM\TableRegistry;
use Cake\Cache\Cache;

class ActivationTable extends Table
{
    public function initialize(array $config)
    {
        $this->_table = false;
    }

    public function checkLicense()
    {
        $Options = TableRegistry::getTableLocator()->get('Options');

        $purchase_code = $Options->find()->where(['name' => 'purchase_code'])->first();

        if (empty($purchase_code->value)) {
            return false;
        }

        if (!$this->validateLicense()) {
            return false;
        }

        return true;
    }

    public function validateLicense()
    {
        $result = Cache::read('license_response_result', '1month');


        if (json_decode($result) === null) {
            $result = false;
        }

        $result_decode = json_decode($result, true);

        if ($result === false) {
            $purchase_code = get_option('purchase_code');
            $response = $this->licenseCurlRequest([
                'purchase_code' => $purchase_code
            ]);

            $result = json_decode($response->body, true);
            Cache::write('license_response_result', json_encode($result), '1month');
        }
        if (isset($result_decode['product_id']) && $result_decode['product_id'] == 1403) {
            return true;
        }
        return false;
    }

    public function licenseCurlRequest($data = [])
    {
        $purchaseCode = isset($data['purchase_code']) ? trim($data['purchase_code']) : '';
        return curlRequest('https://codesaller.com/api_check?active=' . $purchaseCode . '&url=' . build_main_domain_url('/'));
    }



}
