<?php

namespace App\Controller\Admin;

use Cake\ORM\TableRegistry;
use Cake\Cache\Cache;

/**
 * @property \App\Model\Table\ActivationTable $Activation
 */
class ActivationController extends AppAdminController
{
    public function index()
    {
        if ($this->getRequest()->is('post')) {
            $response = $this->Activation->licenseCurlRequest($this->getRequest()->getData());

            $result = json_decode($response->body, true);
            if (isset($result['product_id']) && $result['product_id'] == 1403) {
                Cache::write('license_response_result', json_encode($result), '1month');

                $Options = TableRegistry::getTableLocator()->get('Options');

                $purchase_code = $Options->find()->where(['name' => 'purchase_code'])->first();
                $purchase_code->value = trim($result['purchase_code']);
                $Options->save($purchase_code);

                $this->Flash->success(__('Your license has been verified.'));

                return $this->redirect(['controller' => 'Users', 'action' => 'dashboard']);
            } else {
                if (isset($result['message']) && !empty($result['message'])) {
                    $this->Flash->error($result['message']);
                    return null;
                }
            }
        }
    }
}
